[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDateTimeRec

Date/Time record

## Declaration

Source position: db.pas line 126

`type TDateTimeRec = record`
`case TFieldType of`
`ftDate: (`
`Date: LongInt;` |  | Date value
`);`
`ftTime: (`
`Time: LongInt;` |  | Time value
`);`
`ftDateTime: (`
`DateTime: TDateTimeAlias;` |  | Date/time value
`);`
`end;`

## Description

TDateTimeRec was used by older TDataset implementations to store date/time values. Newer implementations use the TDateTime. This type should no longer be used.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.